Package net.sf.robocode.security

# Interface IHiddenEventHelper

public interface IHiddenEventHelper

Author:
  Pavel Savara (original)

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatch(Event event, IBasicRobot robot, IRobotStatics statics, Graphics2D graphics)`
`byte`
`getSerializationType(Event event)`
`boolean`
`isCriticalEvent(Event event)`
`void`
`setDefaultPriority(Event event)`
`void`
`setPriority(Event event, int newPriority)`
`void`
`setTime(Event event, long newTime)`

## Method Details

### setDefaultPriority

void setDefaultPriority(Event event)

### setPriority

void setPriority(Event event, int newPriority)

### setTime

void setTime(Event event, long newTime)

### isCriticalEvent

boolean isCriticalEvent(Event event)

### dispatch

void dispatch(Event event, IBasicRobot robot, IRobotStatics statics, Graphics2D graphics)

### getSerializationType

byte getSerializationType(Event event)